import { ScatterTriangulationSeries } from "./ScatterTriangulationSeries";
import { ColorScale } from "./ColorScale";
import { Type, Point } from "igniteui-angular-core";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Color } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { RenderSurface } from "./RenderSurface";
import { SeriesView } from "./SeriesView";
import { WriteableBitmap } from "igniteui-angular-core";
import { TriangleRasterizer } from "./TriangleRasterizer";
import { ScalerParams } from "./ScalerParams";
import { ObservableColorCollection } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ScatterAreaSeries extends ScatterTriangulationSeries {
    static $t: Type;
    constructor();
    private nk;
    nl: ColorScale;
    private ny;
    fs(a: any, b: string): any;
    nt: string;
    private np;
    private nq;
    protected get_dq(): boolean;
    protected set_dq(a: boolean): void;
    protected iz(a: any, b: string, c: any, d: any): void;
    je(a: boolean): void;
    jc(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected nz(a: SeriesView): void;
    private nw;
    fp(a: Point): any;
    protected ni: number[];
    protected nj: number[];
    no(a: SeriesView, b: ScalerParams, c: ScalerParams): TriangleRasterizer;
    nh: Color[];
    protected nr(): ObservableColorCollection;
    protected nm(): ColorScale;
    hv(a: boolean, b: SeriesView): void;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    nn: ScatterAreaSeriesView;
    nx(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterAreaSeriesView extends SeriesView {
    static $t: Type;
    private by;
    private bu;
    bx: number[];
    constructor(a: ScatterAreaSeries);
    b7(a: number, b: number): void;
    b3(a: any): void;
    private b2;
    private b1;
    private b0;
    bv(): number[];
    bw(a: boolean): number[];
    private b6;
    bz(a: Rect, b: ColorScale, c: IFastItemColumn$1<number>): TriangleRasterizer;
    b5(a: TriangleRasterizer): void;
    b4(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    b8(a: WriteableBitmap): void;
    ai(a: any): void;
    getDefaultTooltipTemplate(): string;
}
